com.fasterxml.jackson.dataformat.xml.util

## Class DefaultXmlPrettyPrinter.FixedSpaceIndenter

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.DefaultXmlPrettyPrinter.FixedSpaceIndenter

All Implemented Interfaces:
  DefaultXmlPrettyPrinter.Indenter, Serializable

Enclosing class:
  DefaultXmlPrettyPrinter

    protected static class DefaultXmlPrettyPrinter.FixedSpaceIndenter
    extends Object
    implements DefaultXmlPrettyPrinter.Indenter, Serializable

This is a very simple indenter that only every adds a single space for indentation. It is used as the default indenter for array values.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FixedSpaceIndenter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isInline()`
`void` `writeIndentation(com.fasterxml.jackson.core.JsonGenerator g, int level)`
`void` `writeIndentation(org.codehaus.stax2.XMLStreamWriter2 sw, int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedSpaceIndenter

    public FixedSpaceIndenter()

### Method Detail

#### writeIndentation

    public void writeIndentation(org.codehaus.stax2.XMLStreamWriter2 sw,
                                 int level)
                          throws XMLStreamException

Specified by:
  `writeIndentation` in interface `DefaultXmlPrettyPrinter.Indenter`
Throws:
  `XMLStreamException`

#### writeIndentation

    public void writeIndentation(com.fasterxml.jackson.core.JsonGenerator g,
                                 int level)
                          throws IOException

Specified by:
  `writeIndentation` in interface `DefaultXmlPrettyPrinter.Indenter`
Throws:
  `IOException`

#### isInline

    public boolean isInline()

Specified by:
  `isInline` in interface `DefaultXmlPrettyPrinter.Indenter`
Returns:
  True if indenter is considered inline (does not add linefeeds), false otherwise